Retrieve a deposit
curl --request GET \
--url https://api.daya.co/v1/deposits/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/deposits/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/deposits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7a4e8400-e29b-41d4-a716-446655440000",
"type": "NGN_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440000",
"onramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "15000.00",
"currency": "NGN",
"settled_amount": "9.70",
"settled_currency": "USDC",
"rate": "1545.50",
"rate_id": "rate_8x7k2mq9p",
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"settlement_mode": "ONCHAIN",
"chain": "BASE",
"tx_hash": "0x8f3e2d1c0b9a8e7f6d5c4b3a2e1f0d9c8b7a6e5f4d3c2b1a",
"fees": {
"deposit_fee": { "amount": "0.05", "currency": "USD" },
"total_fee_usd": "0.05"
},
"developer_fee": {
"percentage": "2.5",
"amount": "0.25",
"currency": "USD"
},
"customer_amount": {
"amount": "9.45",
"currency": "USDC"
},
"created_at": "2026-01-14T15:06:30Z",
"updated_at": "2026-01-14T15:08:15Z"
}
{
"id": "8b4e8400-e29b-41d4-a716-446655440000",
"type": "CRYPTO_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440002",
"offramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "1.00",
"currency": "USDC",
"settled_amount": "1.00",
"settled_currency": "USD",
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"settlement_mode": "INTERNAL_BALANCE",
"asset": "USDC",
"chain": "ETHEREUM",
"tx_hash": "0xa1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4",
"fees": {
"total_fee_usd": "0.01"
},
"developer_fee": {
"percentage": "2.5",
"amount": "0.02",
"currency": "USD"
},
"customer_amount": {
"amount": "0.97",
"currency": "USD"
},
"created_at": "2026-01-14T16:00:00Z",
"updated_at": "2026-01-14T16:02:30Z"
}
{
"id": "7a4e8400-e29b-41d4-a716-446655440001",
"type": "NGN_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440000",
"onramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "15000.00",
"currency": "NGN",
"status": "REQUIRES_REVIEW",
"settlement_status": "REQUIRES_REVIEW",
"flag_code": "late_deposit",
"flag_message": "Deposit received after onramp expiry",
"created_at": "2026-01-14T15:35:00Z",
"updated_at": "2026-01-14T15:35:05Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "Deposit not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
Deposits
Retrieve a deposit
Get a specific deposit by ID
GET
/
v1
/
deposits
/
{id}
Retrieve a deposit
Overview
Retrieve detailed information about a specific NGN or crypto deposit.Use Get USD virtual account deposit for payments into USD virtual accounts.
Authentication
string
required
Your merchant API key
Path Parameters
string
required
Deposit ID (UUID format).Example:
7a4e8400-e29b-41d4-a716-446655440000Request Examples
curl --request GET \
--url https://api.daya.co/v1/deposits/7a4e8400-e29b-41d4-a716-446655440000 \
--header 'X-Api-Key: YOUR_API_KEY'
const response = await fetch(
'https://api.daya.co/v1/deposits/7a4e8400-e29b-41d4-a716-446655440000',
{
headers: {
'X-Api-Key': 'YOUR_API_KEY'
}
}
);
const deposit = await response.json();
import requests
response = requests.get(
'https://api.daya.co/v1/deposits/7a4e8400-e29b-41d4-a716-446655440000',
headers={'X-Api-Key': 'YOUR_API_KEY'}
)
deposit = response.json()
Response
Returns a deposit object. See List deposits for the full field list.If a developer fee was configured for the funding account, the deposit object includes
developer_fee and customer_amount. Use developer_fee to see the amount and currency kept by your merchant account, and use customer_amount to see the final amount left for the customer.settlement_mode is CUSTOMER_NGN_BALANCE, settled_amount and settled_currency show the amount credited to that customer’s NGN balance. Wait for status: COMPLETED before treating the balance credit as final.
Success Response
{
"id": "7a4e8400-e29b-41d4-a716-446655440000",
"type": "NGN_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440000",
"onramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "15000.00",
"currency": "NGN",
"settled_amount": "9.70",
"settled_currency": "USDC",
"rate": "1545.50",
"rate_id": "rate_8x7k2mq9p",
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"settlement_mode": "ONCHAIN",
"chain": "BASE",
"tx_hash": "0x8f3e2d1c0b9a8e7f6d5c4b3a2e1f0d9c8b7a6e5f4d3c2b1a",
"fees": {
"deposit_fee": { "amount": "0.05", "currency": "USD" },
"total_fee_usd": "0.05"
},
"developer_fee": {
"percentage": "2.5",
"amount": "0.25",
"currency": "USD"
},
"customer_amount": {
"amount": "9.45",
"currency": "USDC"
},
"created_at": "2026-01-14T15:06:30Z",
"updated_at": "2026-01-14T15:08:15Z"
}
{
"id": "8b4e8400-e29b-41d4-a716-446655440000",
"type": "CRYPTO_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440002",
"offramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "1.00",
"currency": "USDC",
"settled_amount": "1.00",
"settled_currency": "USD",
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"settlement_mode": "INTERNAL_BALANCE",
"asset": "USDC",
"chain": "ETHEREUM",
"tx_hash": "0xa1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4",
"fees": {
"total_fee_usd": "0.01"
},
"developer_fee": {
"percentage": "2.5",
"amount": "0.02",
"currency": "USD"
},
"customer_amount": {
"amount": "0.97",
"currency": "USD"
},
"created_at": "2026-01-14T16:00:00Z",
"updated_at": "2026-01-14T16:02:30Z"
}
{
"id": "7a4e8400-e29b-41d4-a716-446655440001",
"type": "NGN_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440000",
"onramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "15000.00",
"currency": "NGN",
"status": "REQUIRES_REVIEW",
"settlement_status": "REQUIRES_REVIEW",
"flag_code": "late_deposit",
"flag_message": "Deposit received after onramp expiry",
"created_at": "2026-01-14T15:35:00Z",
"updated_at": "2026-01-14T15:35:05Z"
}
{
"error": {
"code": "NOT_FOUND",
"message": "Deposit not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}